package org.bitbucket.bradleysmithllc.etlunit.io.file;

import java.util.regex.Pattern;

class PatternValidator implements DataFormatValidator
{
	private final Pattern pattern;
	private final String id;

	public PatternValidator(String s, String pattern)
	{
		id = s;
		this.pattern = Pattern.compile(pattern);
	}

	@Override
	public String getId()
	{
		return id;
	}

	@Override
	public Pattern getPattern()
	{
		return pattern;
	}
}