package org.bitbucket.bradleysmithllc.etlunit.util;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class HashMapArrayList<J, K> extends HashMap<J, List<K>> implements MapList<J, K>
{
	@Override
	public synchronized List<K> getOrCreate(J key)
	{
		List<K> val = get(key);

		if (val == null)
		{
			val = new ArrayList<K>();
			put(key, val);
		}

		return val;
	}
}